SYSARCH(2)

NAME
sysarch - architecture-dependent system call

LIBRARY
libc

SYNOPSIS
#include <machine/sysarch.h>
int
sysarch(int number, void *args);

DESCRIPTION
sysarch() performs the architecture-dependent function specified by number with the arguments specified by the args pointer. args is a pointer to a structure defining the actual arguments of the function. Symbolic constants and argument structures for the architecture-dependent functions can be found in the header file <machine/sysarch.h>.

The sysarch() system call should never be called directly by user programs. Instead, they should access its functions using the architecture-dependent library.

RETURN VALUES
See the manual pages for specific architecture-dependent function calls for information about their return values.

HISTORY
The sysarch() function call appeared in NetBSD 1.0.